Bug 11466 - cacti-0.8.6i don't work with php4/5
: cacti-0.8.6i don't work with php4/5
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/cacti)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-12 13:44 by
Modified: 2007-06-27 23:01 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-12 13:44:47
в сизифе сейчас пакет cacti находится в нерабочем состоянии. Он успешно
собирается, но после установки выдает множество ошибок при попытке открыть его
веб-интерфейс. Ошибки привести не могу, т.к. это происходит не у меня, а я -
транслятор сообщений и сочувствующий успешному релизу дистрибутива версии 4.

было бы неплохо хотя бы попробовать поставить пакет cacti и заставить его
работать.
Работой можно считать хотя бы успешное появление формы для логина и успешный
логин один раз.

среди ошибок встречаются сообщения об использовании "небезопасных функций" и
другие, поэтому есть причина подозревать именно php. затребованные Небезопасные
функции были разрешены, но это не помогло.

для теста был проведен эксперимент с debian 4.0 etch - там тот же cacti0.8.6i
заработал сразу после установки нужных пакетов (php4, mysql5)

есть предложение для желающих небезопасности - собрать пакет php-insecure ,
который бы дублировал php, но не содержал бы патчей suhosin. Попоытка
самостоятельно выкинуть эти патчи была не успешной - останавливалось на
verify-elf с сообщением про unresolved symbols.
еще раз извиняюсь что пишу по памяти без деталей, но считаю необходимым хотя бы
обратить на это внимание. пакет cacti  - это достаточно популярный пакет
мониторинга именно в серверных окружениях. 
Steps to Reproduce:
1.apt-get install cacti
2.пойти на веб-интерфейс для настройки и обломаться
3.
Actual Results:  
хотелось бы чтобы работало из коробки
------- Comment #1 From 2007-05-20 01:32:16 -------
(In reply to comment #0)
> в сизифе сейчас пакет cacti находится в нерабочем состоянии. Он успешно
> собирается, но после установки выдает множество ошибок при попытке открыть его
> веб-интерфейс. Ошибки привести не могу, т.к. это происходит не у меня, а я -
> транслятор сообщений и сочувствующий успешному релизу дистрибутива версии 4.
> 
> было бы неплохо хотя бы попробовать поставить пакет cacti и заставить его
работать.
> Работой можно считать хотя бы успешное появление формы для логина и успешный
> логин один раз.
это не считается успешной работой.

> 
> среди ошибок встречаются сообщения об использовании "небезопасных функций" и
> другие, поэтому есть причина подозревать именно php. затребованные Небезопасные
> функции были разрешены, но это не помогло.
а при чем тут php? Это все равно что при сборке программы ругать компилятор, что
он не собирает кривой код.

> 
> для теста был проведен эксперимент с debian 4.0 etch - там тот же cacti0.8.6i
> заработал сразу после установки нужных пакетов (php4, mysql5)
> 
> есть предложение для желающих небезопасности - собрать пакет php-insecure ,
> который бы дублировал php, но не содержал бы патчей suhosin. Попоытка
> самостоятельно выкинуть эти патчи была не успешной - останавливалось на
> verify-elf с сообщением про unresolved symbols.
> еще раз извиняюсь что пишу по памяти без деталей, но считаю необходимым хотя бы
> обратить на это внимание. пакет cacti  - это достаточно популярный пакет
> мониторинга именно в серверных окружениях.
пакет phpmyadmin - тоже довольно популярный пакет, но это не значит, что я
должен равняться на него при сборке php. В-общем, с мой стороны (php-engine)
проблем нет, баги в cacti.

> Steps to Reproduce:
> 1.apt-get install cacti
> 2.пойти на веб-интерфейс для настройки и обломаться
> 3.
> Actual Results:  
> хотелось бы чтобы работало из коробки
------- Comment #2 From 2007-05-20 21:59:46 -------
это все ясно как божий день, и эта война уже идет давно.

баги в cacti или проблемы в строгости php - вопрос вечный и быстро не решаемый.

Но подумайте, как такая принципиальность выглядит со стороны конечного
пользователя, который поставил altlinux попробовать и которому нужен именно
cacti (сервер мониторинга - вещь встречающаяся нередко).

поставил и смотрит - работает? нет, не работает. попиннал туда-сюда - не
работает.

снес altlinux и поставил debian 4, все _все сразу работает_.

сделал вывод - "altlinux  - говно и не работает" и всем рассказал об этом.
конкретные глубинные причины его не волнуют  и попытки обяснить, что лучше,
когда не работает - успеха не возымеют.

проблема случилась не у меня, это реальный случай, который я сюда решил
занести.
поэтому я и выдвинул предложение о специальной небезопасной версии php, чтобы
оно работало на страх и риск пользователя.
------- Comment #3 From 2007-05-20 22:26:15 -------
(In reply to comment #2)
> это все ясно как божий день, и эта война уже идет давно.
> 
> баги в cacti или проблемы в строгости php - вопрос вечный и быстро не решаемый.
> 
> Но подумайте, как такая принципиальность выглядит со стороны конечного
> пользователя, который поставил altlinux попробовать и которому нужен именно
> cacti (сервер мониторинга - вещь встречающаяся нередко).
> 
> поставил и смотрит - работает? нет, не работает. попиннал туда-сюда - не работает.
> 
> снес altlinux и поставил debian 4, все _все сразу работает_.
нормальный пользователь не сносит один дистрибутив и переходит на другой, только
ради того, что у него там какая-то кривулька работает.

> 
> сделал вывод - "altlinux  - говно и не работает" и всем рассказал об этом.
> конкретные глубинные причины его не волнуют  и попытки обяснить, что лучше,
> когда не работает - успеха не возымеют.
знаете, сколько таких знатоков тусуется на LOR?


> 
> проблема случилась не у меня, это реальный случай, который я сюда решил занести.
> поэтому я и выдвинул предложение о специальной небезопасной версии php, чтобы
> оно работало на страх и риск пользователя.
небезопасная версия называется control php-cli/apache-mod_php* public. 

PS. Баг закрываю как WONTFIX. Есть пожелания - отправляйте их разработчикам
cacti. Есть проблемы с public/relaxed - описывайте подробнее и создавайте новый bug.
------- Comment #4 From 2007-06-27 23:01:07 -------
будем считать что разобрались (сейчас мне негде тестировать  cacti)